View workflow operator list

View the operators available for the workflow in the target workspace. Use the returned operator ID and version to continue viewing the configuration or publish the operator API service.

HTTP
GET $CLOUDSIGMA_API_BASE/workflow/v2/workitems/catalog

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workflow/v2/workitems/catalog" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

The response returns a list of operators available in the current workspace. Use the operator ID in subsequent calls; do not replace the operator ID with the display name.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "items": [
      {
        "node_id": "moi:data.sql.process",
        "display_name": "SQL 处理",
        "category": "data_processing",
        "preferred_version": "v1",
        "stream": false
      }
    ],
    "total": 1
  }
}

The response fields are as follows.

Field

Type

Description

code

string

OK on success.

msg

string

OK on success.

data.items[]

array

List of available operators.

data.items[].node_id

string

Operator ID, which can be used to query details or publish API services.

data.items[].display_name

string

Operator display name.

data.items[].short_description

string

Short description of the operator; returned if there is a value.

data.items[].category

string

The category to which the operator belongs; returned if there is a value.

data.items[].tags

string[]

Operator label; returned if there is a value.

data.items[].source

string

Operator source; returned if there is a value.

data.items[].provider

string

Operator provider; returned if there is a value.

data.items[].preferred_version

string

Recommended version; returned if there is a value.

data.items[].visibility

string

Visibility; returned if there is a value.

data.items[].stream

boolean

Whether it is a streaming operator.

data.total

integer

The total number of operators returned.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, items[].name is the name field of each item in the items array.

Error response

JSON
{
  "code": "ErrForbidden",
  "msg": "没有权限",
  "data": null
}
FieldTypeDescription
codestringError code.

Follow-up operations

Query operator details.

Last updated on